<?php

$no_http_headers = true;
/* include(dirname(__FILE__) . "/../include/global.php"); 
 include(dirname(__FILE__) . "/../lib/snmp.php"); */


$pth = str_replace("/scripts","",dirname(__FILE__));

if (file_exists("$pth/include/global.php"))
include("$pth/include/global.php");
else
include("$pth/include/config.php");

include("$pth/lib/snmp.php"); 


$oids = array(
	"filtername" => ".1.3.6.1.4.1.2636.3.5.2.1.6",
	"countername" => ".1.3.6.1.4.1.2636.3.5.2.1.7",
	"packets" => ".1.3.6.1.4.1.2636.3.5.2.1.4",
	"byte" => ".1.3.6.1.4.1.2636.3.5.2.1.5",
	"type" => ".1.3.6.1.4.1.2636.3.5.2.1.8",	
	);

$hostname = $_SERVER["argv"][1];
$snmp_community = $_SERVER["argv"][2];
$snmp_version = $_SERVER["argv"][3];
$cmd = $_SERVER["argv"][4];

if ($cmd == "index") {
	$return_arr = reindex(cacti_snmp_walk($hostname, $snmp_community, $oids["type"], $snmp_version, "", "", 161, 1000, "", ""));
	for ($i=0;($i<sizeof($return_arr));$i++) {
		print $i+1 . "\n";
	}
}elseif ($cmd == "query") {
	$arg = $_SERVER["argv"][5];
	$ind = false;
	if ($arg == "index") {
		$arg="type";
		$ind=true;
	}
	$arr = reindex(cacti_snmp_walk($hostname, $snmp_community, $oids[$arg], $snmp_version, "", "", 161, 1000, "", ""));
	if ($ind == true)
		for ($i=1;($i<sizeof($arr)+1);$i++) 
			print $i . "!" . $i . "\n";
	else 
		for ($i=0;($i<sizeof($arr));$i++) {
			print $i+1 . "!" . $arr[$i] . "\n";
	}
}elseif ($cmd == "get") {
	$arg = $_SERVER["argv"][5];
	$index = $_SERVER["argv"][6];
	$arr = reindex(cacti_snmp_walk($hostname, $snmp_community, $oids[$arg], $snmp_version, "", "", 161, 1000, "", ""));
	print $arr[$index-1] . "\n";
}

function reindex($arr) {
	$return_arr = array();
	
	for ($i=0;($i<sizeof($arr));$i++) {
		$return_arr[$i] = $arr[$i]["value"];
	}
	
	return $return_arr;
}

?>
